Skip to main content

RC Challan API

Objective

The Indian Vehicle Challan Check API determines whether a challan has been issued for a specific vehicle. By providing the vehicle's Registration Certificate (RC) details, the API returns information about any existing challans, including details of the accused, the nature of the offence, and the associated fine.

InputOutput
Vehicle registration number(RC Number), chassis number, engine number, and consentDetails about the challan, if issued. The complete list of output fields is provided under the Success Response Details section

API URL

https://ind-engine.thomas.hyperverge.co/v1/rcChallan

API Endpoint

rcChallan

Overview

The API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format, and you should upload all images and files as form-data through a POST request.

Authentication

You need a unique pair of application ID (appId) and application key (appKey) from HyperVerge to verify your identity for accessing the API.

API Request Details

Method - POST

Headers

ParameterMandatory or OptionalDescriptionAllowed Values
content-type MandatoryThe media type for the request payload.application/json
appId MandatoryThe application identifier shared by HyperVerge. You can find the details in the dashboard's credentials tab.This should be a unique value.
appKey MandatoryThe application key shared by HyperVerge. You can find the details in the dashboard's credentials tab.This should be a unique value.
transactionIdMandatoryA unique identifier for tracking a user journey.This should be both unique and easily associated with the user's journey in your application(s).

Inputs

The following table provides the details of the fields required for the API's request body.

ParameterDescriptionMandatory or OptionalAllowed ValuesDefault Value
rcNumberThe Registration Certificate (RC) number associated with the vehicleMandatoryNot ApplicableNot Applicable
chassisNumberThe unique alphanumeric value assigned to the chassis of the vehicle during manufacturingMandatoryNot ApplicableNot Applicable
engineNumberThe unique alphanumeric identifier assigned to the engine of the vehicle during manufacturingMandatoryNot ApplicableNot Applicable
consentProvide consent by entering values of either "Y" for yes or "N" for noMandatoryNot ApplicableNot Applicable

Request

The following code shows a standard curl request for the API.

curl --location --request POST 'https://ind-engine.thomas.hyperverge.co/v1/rcChallan' \
--header 'Content-Type: application/json' \
--header 'appId: <Enter_the_HyperVerge_appId>' \
--header 'appKey: <Enter_the_HyperVerge_appKey>' \
--header 'transactionId: <Enter_the_HyperVerge_transactionID>' \
--data '{
"rcNumber": "<Enter_the_RC_Number>",
"chassisNumber": "<Enter_the_Chassis_Number>",
"engineNumber": "<Enter_the_Engine_Number>",
"consent": "<Y_or_N>"
}'

Success Response

The following is a sample of a success response from the API.

{
"status": "success",
"statusCode": "200",
"result": {
"message": "<Message_Describing_Result>",
"challanData": [
{
"documentType": "<Type_Of_Document_Issued>",
"documentId": "<Unique_Challan_Document_ID>",
"status": "<Status_Of_The_Challan>",
"dateIssued": "<Date_And_Time_Of_Issue_in_ISO_8601_Format>",
"accusedName": "<Name_Of_The_Accused>",
"offenceData": [
{
"offenceDescription": "<Description_Of_The_Offence>"
}
],
"amount": "<Fine_Amount>",
"state": "<State_Of_Issuance>"
}
]
},
"metaData": {
"requestId": "<Unique_Request_ID>",
"transactionId": "<Transaction_ID>"
}
}

Success Response Details

ParameterTypeDescription
messagestringThe message describing the result
challanDataarrayThe detailed information about the fetched challans
documentTypestringThe type of document issued, for example, a challan
documentIdstringA unique identifier for the challan document
statusstringThe current status of the challan, whether it is disposed or pending
dateIssuedstringThe date and time when the challan was issued
accusedNamestringThe name of the person accused of the offense
offenceDataarrayThe details of the committed offence for which the challan was issued
offenceDescriptionstringA description of the offence committed
amountintegerThe amount of the challan, i.e., the fine to be paid
statestringThe state in which the offense occurred or where the challan was issued

Failure Response

You will receive a failure response similar to the following code sample if no challan is found issued against the inputs

{
"status": "success",
"statusCode": 200,
"result": {
"message": "No challan found."
},
"metaData": {
"requestId": "<Request_ID>",
"transactionId": "<Transactiom_ID>"
}
}

Error Responses

The following are some Input Validation error responses from the API.

{
"message": "Please provide consent",
"statusCode": 400,
"status": "failure",
"metaData": {
"requestId": "<Request_ID>",
"transactionId": "<Transaction_ID>"
}
}

The following are some other error responses from the API.

{
"statusCode": 401,
"status": "failure",
"error": "Missing/Invalid credentials",
"metaData": {
"requestId": "<Request_ID>",
"transactionId": "<Transaction_ID>"
}
}

Failure and Error Response Details

A failure or error response from the module contains a failure status, with a relavant status code and error message. The following table lists all error responses.

Status CodeError MessageError Description
400RC is requiredPlease provide the RC number
400consent is requiredPlease provide the consent
401Missing/Invalid credentialsThe request is either missing the mandatory appId and appKey combination or has invalid values.
403Access DeniedPlease contact the HyperVerge team for resolution.
429Too many requestsYou have exceeded the configured limit on the number of transactions permitted in a minute. Please contact the HyperVerge team for resolution.
500Internal Server ErrorPlease check the request headers or contact the HyperVerge team for resolution.
Was this helpful?
Ask AIBeta
Hi! How can I help?
Ask me anything about HyperVerge products, APIs, and SDKs.
Try asking: